<template>
  <div class="item">
    <div class="item__content">
      <p class="item__title">{{ content.title }}</p>
      <p class="item__text">{{ content.text }}</p>
    </div>
    <div class="item__img">
      <img src=''  :data-flickity-lazyload='require(`../../assets/img/cloud/${content.img}`)' alt="" width='567' height='463' />
    </div>
  </div>
</template>

<script>
export default {
  props: {
    content: {
      type: Object,
      default: () => {
        return {
          title: 'High Performance',
          text: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. ',
          img: 'performance',
        }
      },
    },
  },
}
</script>

<style lang="scss" scoped>
.item {
  width: 100%;
  border: 2px solid #18265d;
  border-radius: 36px;
  display: flex;
  align-items: center;
  padding: 20px 20px 20px 69px;

  @media (max-width: 767px) {
    flex-direction: column;
    padding-left: 20px;
    padding-bottom: 54px;
  }

  &__content,
  &__img {
    flex: 0 0 50%;
    max-width: 50%;

    @media (max-width: 767px) {
      flex: 0 0 100%;
      max-width: 100%;
    }
  }

  &__img {

    @media (max-width: 767px) {
      order: -1;
    }

    img {
      position: relative;
      width: 100%;
      height: 100%;
      max-width: 567px;
      max-height: 463px;
      object-fit: contain;

      @media (max-width: 767px) {
        max-width: 467px;
        max-height: 382px;
      }

      @media (min-width: 1024px) {
        width: 567px;
        height: 463px;
        left: -70px;
      }

      @media (min-width: 1024px) and (max-width: 1050px){
        padding-right: 10px;
      }
    }
  }

  &__content {
    @media (max-width: 767px) {
      padding-left: 18px;
    }
  }

  &__title {
    font-size: 36px;
    line-height: 45px;
    color: #FFFFFF;
    font-weight: 500;
    margin: 0 0 25px;

    @media (max-width: 767px) {
      font-size: 30px;
      line-height: 37px;
    }
  }

  &__text {
    font-size: 18px;
    line-height: 28px;
    color: #6983AB;
    max-width: 450px;

    @media (max-width: 767px) {
      font-size: 16px;
      line-height: 24px;
    }
  }
}
</style>
